Skip to navigation

Add templates to document in envelope

View as Markdown
Adds templates to a document in the specified envelope.

Authentication

AuthorizationBearer

OAuth 2.0 access token (JWT or auth-code grant). Sent as Authorization: Bearer <token> on every request except GET /v2.1 and GET /service_information, which are public discovery endpoints.

Path parameters

accountIdstringRequired

The external account number (int) or account ID Guid.

documentIdstringRequired

The unique ID of the document within the envelope.

Unlike other IDs in the eSignature API, you specify the documentId yourself. Typically the first document has the ID 1, the second document 2, and so on, but you can use any numbering scheme that fits within a 32-bit signed integer (1 through 2147483647).

Tab objects have a documentId property that specifies the document on which to place the tab.

envelopeIdstringRequired

The envelope’s GUID.

Example: 93be49ab-xxxx-xxxx-xxxx-f752070d71ec

Query parameters

preserve_template_recipientstringOptional

If omitted or set to false (the default), envelope recipients will be removed if the template being applied includes only tabs positioned via anchor text for the recipient, and none of the documents include the anchor text.

When true, the recipients will be preserved after the template is applied.

Request

This endpoint expects an object: documentTemplateList

documentTemplateslist of objectsOptional

Response

Successful response.
documentTemplateslist of objectsOptional

Errors

400
Bad Request Error